OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Placement Class Reference

`#include <StepGeom_Placement.hxx>`

Inheritance diagram for StepGeom_Placement:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_Placement ()
| Returns a Placement .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CartesianPoint)&aLocation)
Standard_EXPORT void | SetLocation (const Handle(StepGeom_CartesianPoint)&aLocation)
Standard_EXPORT Handle_StepGeom_CartesianPoint | Location () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_CartesianPoint | location

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Placement::StepGeom_Placement | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Placement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem. Reimplemented in StepFEA_FeaAxis2Placement3d, StepGeom_Axis1Placement, StepGeom_Axis2Placement2d, and StepGeom_Axis2Placement3d.

virtual Standard_EXPORT void StepGeom_Placement::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CartesianPoint)& | aLocation
| ) | `[virtual]`

| Reimplemented in StepGeom_Axis1Placement, StepGeom_Axis2Placement2d, and StepGeom_Axis2Placement3d.

virtual Standard_EXPORT void StepGeom_Placement::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_CartesianPoint StepGeom_Placement::Location | ( |  | ) | const

Standard_EXPORT void StepGeom_Placement::SetLocation | ( | const Handle(StepGeom_CartesianPoint)& | aLocation | ) |

## Field Documentation

Handle_StepGeom_CartesianPoint StepGeom_Placement::location`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Placement.hxx